Description

| find the "Area scale field" an important enhancement from QGis 0.9.2, but two enhancements should be

1 - make the symbol dimensions appear "standardized", and not directly proportional to the attribute values. The problem raises when we
have big values, and the symbols appear to large, even if one reduces the dimension to the minimum (size 3).

2 - make appear the symbol classes in the legend, otherwise we loose the visual usefullness of having graduated symbols.

History

#1 - 2008-07-14 03:49 PM - Tim Sutton

Could you provide more detail of your requirements here? | couldnt understand exactly what you are looking for from your description.

I'm going to mark this for Magnus' attention since he implemented the original symbol scaling logic.

Many thanks

Tim

#2 - 2008-07-14 04:35 PM - Giovanni Allegri

Hi Tim.

I'm referring to the symbology option for punctual features, that lets you choose a single layer whose dimension (and rotation) may be controlled by means
of a selected attribute.

You can choose a not better defined "dimension" factor that applies to the symbols size proportionally to the attribute value. Now, if you have huge values
you can get enormous balloons even if you set the minimum "dimension" (by default the lower limit is 3).

I think it could be better to stanrdardize the dimensions of the symbols on the basis of a minimum-maximum value.

In this way the user could choose the best visualization it needs.

In formula it could be:

(attribute_value - min_dimension)/(max_dimension-min_dimension)

or something similar...

#3 - 2008-10-18 12:31 PM - Magnus Homann
- Status changed from Open to Closed
- Resolution set to wontfix

I'm not so sure this is a good idea. The question then arise, what kind of expressions should we allow? Scale based on a generic forumla on 1 or more
fields?

No, | propose that should be up to the layer to proivde the correct values.

#4 - 2008-10-18 01:03 PM - Giovanni Allegri

- Resolution deleted (wontfix)
- Status changed from Closed to Feedback

Ok, you can advocate my suggestion, but the problem remains: these days I'm working on a layer, and | need to make graduated symbols on the base of a
floating attribute. The values are so high that the balls cover the entire screen. Should | create an attribute field with scaled values?!

Maybe | miss something from the new Qgis versions... How would you deal with this?

Anyway, before closing a ticket it would be nice to propose a solution...

#5 - 2008-10-18 01:22 PM - Magnus Homann

- Resolution set to wontfix

- Status changed from Feedback to Closed

Set the fields to values that can be used for scaling directly.

#6 - 2008-10-18 01:27 PM - Giovanni Allegri

Ok, | leave this ticket but your idea is, but | haven't seen any GIS needing that! | select the classes, and max-min values, and that's all...

#7 - 2008-10-18 01:31 PM - Giovanni Allegri

Sorry, there were problem pasting the text

*Ok, | leave this ticket, but | haven't seen any GIS needing that. | usually select the bins/classes, max-min values, and classification method (linear,

quantiles, etc.), and that's all... | can't uderstand why it cannot be done for symbol dimensions.

Maybe | can't expain what | mean...Anyway, don't mind.

#8 - 2008-10-18 03:26 PM - Magnus Homann

Have you tried using Graduated Symbol?

#9 - 2008-10-18 03:49 PM - Giovanni Allegri

| was talking about that...
Look at the attached images:

Property dialog: http://www.geospatial.it/allegri/property.png

Result: http://www.geospatial.it/allegri/graduated.png

As you can see the Dimensione is set to minimum (3). Maybe it could be enough allowing lower dimensions (decimals too).
http://www.geospatial.it/allegri/property.png
http://www.geospatial.it/allegri/graduated.png

#10 - 2008-10-18 11:57 PM - Magnus Homann

| still dont understand what you really want. Could you please email the qgis-user list and we take the discussion there?

#11 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

#12 - 2010-06-17 01:28 PM - Jean-Roc Morreale

Biased proportional symbol are possible in most GIS software, here a few methods :

/ [[ArcGIS]] -> use a size range (e.g. lowest is at 4pt and the biggest at 22pt) or use Flannery's compensation

/ [[Maplnfo]] -> use a size range (you can determine the interpolated symbol size using the square root, a constant or a log)

/ [[GvSIG]] -> use a size range

/ [[MapFish]] -> use a size range

Some good read on the subject :
/ Perceptual Scaling of Map Symbols

Daniel R. Montello, Cognitive Map-Design Research in the 20th Century: Theoretical and Empirical Approaches / PDF

James Flannery, The Graduated Circle: A Description, Analysis, and Evaluation of a Quantitative Map Symbol

Susumu Tanimura and al., Proportional Symbol Mapping in R / PDF

Bernhard Jenny, Self-Adjusting Legends for Proportional Symbol Maps / PDF/ Exemples

Original / post on qgis-dev's ml

Making it possible to show the size in the legend would be a small step that would still be compliant with Tufte's rigorous ideas.
http://www.geog.ucsb.edu/~jeff/gis/proportional_symbols.html#gradsym
http://www.kxcad.net/MapInfo/MapInfo_Professional/MapInfow-19-11.html
https://confluence.prodevelop.es/download/attachments/10911941/symbol-proportional-config-background.png&#38;imgrefurl=https://confluence.prodevelop.es/pages/viewpage.action%3FpageId%3D10911941&#38;usg=+fd_jfT6xJkCFCc5ahU0EETQKe-0=&#38;h=470&#38;w=720&#38;sz=23&#38;hl=fr&#38;start=8&#38;um=1&#38;itbs=1&#38;tbnid=D_RYTyWJpd3W7M:&#38;tbnh=91&#38;tbnw=140&#38;prev=/images%3Fq%3Dproportionnal%2Bsymbol%2Bgvsig%26um%3D1%26hl%3Dfr%26client%3Dfirefox-a%26sa%3DN%26rls%3Dcom.mandriva:en-US:unofficial%26tbs%3Disch:1
http://demo.mapfish.org/mapfishsample/1.2/examples/geostat/proportionalSymbols.html
http://makingmaps.net/2007/08/28/perceptual-scaling-of-map-symbols/
http://www.geography.wisc.edu/histcart/v6initiative/12montello.pdf
http://www.jstatsoft.org/v15/i05/paper
http://jenny.cartography.ch/pdf/2009_Jenny_Legends.pdf
http://jenny.cartography.ch/legend/
http://lists.osgeo.org/pipermail/qgis-developer/2010-June/010301.html

